View Issue Details

IDProjectCategoryView StatusLast Update
0004284SymmetricDSImprovementpublic2020-04-21 15:02
ReporterpmarzulloAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.8Fixed in Version3.11.8 
Summary0004284: Sync Triggers: Should enhance syncing of triggers to not delete trigger if platform supports create or replace syntax
DescriptionIn order to eliminate the loss of data when synching triggers (creating/rebuilding triggers on tables) for platforms that support create or replace triggers, the trigger router service should attempt to execute create or replace trigger without dropping the trigger first.

That means that a new boolean method needs to be added to the databaseinfo class that indicates whether or not the database supports the create or replace syntax for triggers. The DdlBuilder will populate this databaseinfo object.

Then the trigger router service can query the databaseinfo class for the platform that is working on to efficiently use the trigger synching functionality.
TagsNo tags attached.

Relationships

related to 0004289 closedelong Oracle: rebuilding triggers can result in changed data not being captured 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-02-12 15:19 pmarzullo New Issue
2020-04-10 15:11 elong Relationship added related to 0004289
2020-04-10 15:11 elong Assigned To => elong
2020-04-10 15:11 elong Status new => resolved
2020-04-10 15:11 elong Resolution open => fixed
2020-04-10 15:11 elong Product Version 3.12.0 => 3.11.0
2020-04-10 15:11 elong Fixed in Version => 3.11.8
2020-04-10 15:11 elong Target Version 3.12.0 => 3.11.8
2020-04-21 15:02 admin Status resolved => closed